#include<iostream>
using namespace std;
int main()
{
    int n, k;
    cin>>n>>k;
    int a[2*n+1];
    for(int i=0; i<2*n+1;i++)
    {
        a[i]=0;
    }
    int b;
    int br=0;
    for(int i=0; i<n; i++)
    {
        cin >>b;
        if(b<0) {a[n-b]++;  if(a[n-b]==k) br++; }
        else {a[b]++; if(a[b]==k) br++; }

    }
    int i;
    cout<<br<<endl;
    for(i=0; i<n+1; i++)
    {
        if(a[i]>=k) cout<<i<<" ";
    }
    for(i; i<2*n+1; i++)
    {
        if(a[i]>=k) cout<<n-i<<" ";
    }
}